<?php

add_filter( 'LAHFB/get_dynamic_styles', 'toro_override_builder_dynamic_style' );
function toro_override_builder_dynamic_style( $styles ){
    if(!isset($_GET['lastudio_header_builder'])){
        $header_layout = Toro()->layout()->get_header_layout();
        if(!empty($header_layout) && $header_layout != 'inherit' && LAHFB_Helper::is_prebuild_header_exists($header_layout)){
            $styles = LAHFB_Helper::get_dynamic_styles($header_layout);
        }
    }
    return $styles;
}

if(!function_exists('toro_override_yikes_mailchimp_page_data')){
    function toro_override_yikes_mailchimp_page_data($page_data, $form_id){
        $new_data = new stdClass();
        if(isset($page_data->ID)){
            $new_data->ID = $page_data->ID;
        }
        return $new_data;
    }
    add_filter('yikes-mailchimp-page-data', 'toro_override_yikes_mailchimp_page_data', 10, 2);
}


if(!function_exists('toro_override_dokan_main_query')){
    function toro_override_dokan_main_query( $query ) {
        if(function_exists('dokan_is_store_page') && dokan_is_store_page() && isset($query->query['term_section'])){
            $query->set('posts_per_page', 0);
            WC()->query->product_query( $query );
        }
    }
    add_action('pre_get_posts', 'toro_override_dokan_main_query', 11);
}


if(!function_exists('toro_dokan_dashboard_wrap_before')){
    function toro_dokan_dashboard_wrap_before(){
        echo '<div id="main" class="site-main"><div class="container"><div class="row"><main id="site-content" class="col-md-12 col-xs-12 site-content">';
    }
    add_filter('dokan_dashboard_wrap_before', 'toro_dokan_dashboard_wrap_before');
}

if(!function_exists('toro_dokan_dashboard_wrap_after')){
    function toro_dokan_dashboard_wrap_after(){
        echo '</main></div></div></div>';
    }
    add_filter('dokan_dashboard_wrap_after', 'toro_dokan_dashboard_wrap_after');
}


/**
 * @desc: adding the custom badges to product
 * @since: 1.0.3
 */

if(!function_exists('toro_add_custom_badge_for_product')){
    function toro_add_custom_badge_for_product(){
        global $product;
        $product_badges = Toro()->settings()->get_post_meta( $product->get_id(), 'product_badges' );
        if(empty($product_badges)){
            return;
        }
        $_tmp_badges = array();
        foreach($product_badges as $badge){
            if(!empty($badge['text'])){
                $_tmp_badges[] = $badge;
            }
        }
        if(empty($_tmp_badges)){
            return;
        }
        foreach($_tmp_badges as $i => $badge){
            $attribute = array();
            if(!empty($badge['bg'])){
                $attribute[] = 'background-color:' . esc_attr($badge['bg']);
            }
            if(!empty($badge['color'])){
                $attribute[] = 'color:' . esc_attr($badge['color']);
            }
            $el_class = ($i%2==0) ? 'odd' : 'even';
            if(!empty($badge['el_class'])){
                $el_class .= ' ';
                $el_class .= $badge['el_class'];
            }

            echo sprintf(
                '<span class="la-custom-badge %1$s" style="%3$s"><span>%2$s</span></span>',
                esc_attr($el_class),
                esc_html($badge['text']),
                (!empty($attribute) ? esc_attr(implode(';', $attribute)) : '')
            );
        }
    }
    add_action( 'woocommerce_before_shop_loop_item_title', 'toro_add_custom_badge_for_product', 9 );
    add_action( 'woocommerce_before_single_product_summary', 'toro_add_custom_badge_for_product', 9 );
}

/**
 * @desc: kick-off the function when theme has new version
 * @since: 1.0.0
 */
if(!function_exists('toro_hook_update_the_theme')){
    function toro_hook_update_the_theme(){
        $current_version = get_option('toro_opts_db_version', false);
        if( class_exists('LaStudio_Cache_Helper') && version_compare( '1.0.0', $current_version) > 0 ) {
            LaStudio_Cache_Helper::get_transient_version('icon_library', true);
            $current_version = '1.0.0';
            update_option('toro_opts_db_version', $current_version);
        }
    }
    add_action( 'after_setup_theme', 'toro_hook_update_the_theme', 0 );
}

/*
 * @desc: custom block after add-to-cart on single product page
 * @since: 1.0.0
 */
if(!function_exists('toro_custom_block_after_add_cart_form_on_single_product')){
    function toro_custom_block_after_add_cart_form_on_single_product(){
        if(is_active_sidebar('s-p-after-add-cart')){
            echo '<div class="extradiv-after-frm-cart">';
            dynamic_sidebar('s-p-after-add-cart');
            echo '</div>';
            echo '<div class="clearfix"></div>';
        }
    }
    add_action('woocommerce_single_product_summary', 'toro_custom_block_after_add_cart_form_on_single_product', 51);
}

if(!function_exists('toro_override_portfolio_content_type_args')){
    function toro_override_portfolio_content_type_args( $args, $post_type_name ) {
        if($post_type_name == 'la_portfolio'){
            $label = esc_html(Toro()->settings()->get('portfolio_custom_name'));
            $label2 = esc_html(Toro()->settings()->get('portfolio_custom_name2'));
            $slug = sanitize_title(Toro()->settings()->get('portfolio_custom_slug'));
            if(!empty($label)){
                $args['label'] = $label;
                $args['labels']['name'] = $label;
            }
            if(!empty($label2)){
                $args['labels']['singular_name'] = $label2;
            }
            if(!empty($slug)){
                if(!empty($args['rewrite'])){
                    $args['rewrite']['slug'] = $slug;
                }
                else{
                    $args['rewrite'] = array( 'slug' => $slug );
                }
            }
        }

        return $args;
    }
    add_filter('register_post_type_args', 'toro_override_portfolio_content_type_args', 99, 2);
}

if(!function_exists('toro_override_portfolio_tax_type_args')){
    function toro_override_portfolio_tax_type_args( $args, $tax_name ) {

        if( $tax_name == 'la_portfolio_category' ) {
            $label = esc_html(Toro()->settings()->get('portfolio_cat_custom_name'));
            $label2 = esc_html(Toro()->settings()->get('portfolio_cat_custom_name2'));
            $slug = sanitize_title(Toro()->settings()->get('portfolio_cat_custom_slug'));
            if(!empty($label)){
                $args['labels']['name'] = $label;
            }
            if(!empty($label2)){
                $args['labels']['singular_name'] = $label2;
            }
            if(!empty($slug)){
                if(!empty($args['rewrite'])){
                    $args['rewrite']['slug'] = $slug;
                }
                else{
                    $args['rewrite'] = array( 'slug' => $slug );
                }
            }
        }
        else if( $tax_name == 'la_portfolio_skill' ) {
            $label = esc_html(Toro()->settings()->get('portfolio_skill_custom_name'));
            $label2 = esc_html(Toro()->settings()->get('portfolio_skill_custom_name2'));
            $slug = sanitize_title(Toro()->settings()->get('portfolio_skill_custom_slug'));
            if(!empty($label)){
                $args['labels']['name'] = $label;
            }
            if(!empty($label2)){
                $args['labels']['singular_name'] = $label2;
            }
            if(!empty($slug)){
                if(!empty($args['rewrite'])){
                    $args['rewrite']['slug'] = $slug;
                }
                else{
                    $args['rewrite'] = array( 'slug' => $slug );
                }
            }
        }

        return $args;
    }
    add_filter('register_taxonomy_args', 'toro_override_portfolio_tax_type_args', 99, 2);
}



/*
 * @desc: Ensure that a specific theme is never updated. This works by removing the theme from the list of available updates.
 * @since: 1.0.1
 */

add_filter('http_request_args', 'toro_hidden_theme_update_from_repository', 10, 2);
if(!function_exists('toro_hidden_theme_update_from_repository')){
    function toro_hidden_theme_update_from_repository( $response, $url ){
        $pos = strpos($url, '//api.wordpress.org/themes/update-check');
        if($pos === 5 || $pos === 6){
            $themes = json_decode( $response['body']['themes'], true );
            if(isset($themes['themes']['toro'])){
                unset($themes['themes']['toro']);
            }
            if(isset($themes['themes']['toro-child'])){
                unset($themes['themes']['toro-child']);
            }
            $response['body']['themes'] = json_encode( $themes );
        }
        return $response;
    }
}

/**
 * @desc: Add Wishlist shortcode
 * @since: 1.0.2
 */
add_shortcode('la_wishlist', function( $atts, $content ){
    ob_start();
    if(function_exists('wc_print_notices')){
        get_template_part('templates/la_wishlist');
    }
    return ob_get_clean();
});

/**
 * @desc: Add Compare shortcode
 * @since: 1.0.2
 */
add_shortcode('la_compare', function( $atts, $content ){
    ob_start();
    if(function_exists('wc_print_notices')){
        get_template_part('templates/la_compare');
    }
    return ob_get_clean();
});


/**
 * @desc: Add Instagram API
 * @since: 1.0.3
 */
add_filter('lastudio-elements/instagram-gallery/api', 'toro_add_instagram_api');
if (!function_exists('toro_add_instagram_api')) {
    function toro_add_instagram_api($key = '')
    {
        return Toro()->settings()->get('instagram_token', $key);
    }
}


if(!function_exists('toro_wc_add_qty_control_plus')){
    function toro_wc_add_qty_control_plus(){
        echo '<span class="qty-plus">+</span>';
    }
}

if(!function_exists('toro_wc_add_qty_control_minus')){
    function toro_wc_add_qty_control_minus(){
        echo '<span class="qty-minus">-</span>';
    }
}

add_action('woocommerce_after_quantity_input_field', 'toro_wc_add_qty_control_plus');
add_action('woocommerce_before_quantity_input_field', 'toro_wc_add_qty_control_minus');


// Add support for Elementor Pro locations
if(!function_exists('toro_register_elementor_locations')){
    function toro_register_elementor_locations($elementor_theme_manager){
        $elementor_theme_manager->register_all_core_location();
    }
}
add_action( 'elementor/theme/register_locations', 'toro_register_elementor_locations' );