<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

add_action( 'tgmpa_register', 'toro_register_required_plugins' );

if(!function_exists('lasf_get_plugin_source')){
    function lasf_get_plugin_source( $new, $initial, $plugin_name, $type = 'source'){
        if(isset($new[$plugin_name], $new[$plugin_name][$type]) && version_compare($initial[$plugin_name]['version'], $new[$plugin_name]['version']) < 0 ){
            return $new[$plugin_name][$type];
        }
        else{
            return $initial[$plugin_name][$type];
        }
    }
}

if(!function_exists('toro_register_required_plugins')){

	function toro_register_required_plugins() {

        $initial_required = array(
            'lastudio' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/toro/plugins/lastudio/2.1.0/lastudio.zip',
                'version'   => '2.1.0'
            ),
            'lastudio-header-footer-builders' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/toro/plugins/lastudio-header-footer-builders_v1.0.7.zip',
                'version'   => '1.0.7'
            ),
            'lastudio-elements' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/toro/plugins/lastudio-elements_v1.2.0.zip',
                'version'   => '1.2.0'
            ),
            'revslider' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/shared/plugins/revslider_v6.5.6.zip',
                'version'   => '6.5.6'
            ),
            'toro-demo-data' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/toro/plugins/toro-demo-data_v2.0.0.zip',
                'version'   => '2.0.0'
            )
        );

        $from_option = get_option('toro_required_plugins_list', $initial_required);

        $plugins = array();

        $plugins[] = array(
            'name'					=> esc_html_x('LA-Studio Core', 'admin-view', 'toro'),
            'slug'					=> 'lastudio',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio'),
            'required'				=> true,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio', 'version')
        );

        $plugins[] = array(
            'name'					=> esc_html_x('LA-Studio Header Builder', 'admin-view', 'toro'),
            'slug'					=> 'lastudio-header-footer-builders',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-header-footer-builders'),
            'required'				=> true,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-header-footer-builders', 'version')
        );

		$plugins[] = array(
            'name' 					=> esc_html_x('Elementor Page Builder', 'admin-view', 'toro'),
            'slug' 					=> 'elementor',
            'required' 				=> true,
            'version'				=> '3.4.1'
        );

        $plugins[] = array(
            'name'					=> esc_html_x('LaStudio Elements For Elementor', 'admin-view', 'toro'),
            'slug'					=> 'lastudio-elements',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-elements'),
            'required'				=> true,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-elements', 'version')
        );

		$plugins[] = array(
			'name'     				=> esc_html_x('WooCommerce', 'admin-view', 'toro'),
			'slug'     				=> 'woocommerce',
			'version'				=> '5.6.0',
			'required' 				=> false
		);

        $plugins[] = array(
            'name'     				=> esc_html_x('Toro Package Demo Data', 'admin-view', 'toro'),
            'slug'					=> 'toro-demo-data',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'toro-demo-data'),
            'required'				=> false,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'toro-demo-data', 'version')
        );

		$plugins[] = array(
			'name' 					=> esc_html_x('Contact Form 7', 'admin-view', 'toro'),
			'slug' 					=> 'contact-form-7',
			'required' 				=> false
		);

        $plugins[] = array(
            'name'     				=> esc_html_x('Envato Market', 'admin-view', 'toro'),
            'slug'     				=> 'envato-market',
            'source'   				=> 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
            'required' 				=> false,
            'version' 				=> '2.0.6'
        );

        $plugins[] = array(
            'name'					=> esc_html_x('Slider Revolution', 'admin-view', 'toro'),
            'slug'					=> 'revslider',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'revslider'),
            'required'				=> false,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'revslider', 'version')
        );

        $plugins[] = array(
            'name'     				=> esc_html_x('Smash Balloon Social Photo Feed', 'admin-view', 'toro'),
            'slug'     				=> 'instagram-feed',
            'required' 				=> false,
        );

		$config = array(
			'id'           				=> 'toro',
			'default_path' 				=> '',
			'menu'         				=> 'tgmpa-install-plugins',
			'has_notices'  				=> true,
			'dismissable'  				=> true,
			'dismiss_msg'  				=> '',
			'is_automatic' 				=> false,
			'message'      				=> ''
		);

		tgmpa( $plugins, $config );

	}

}
